jQuery(document).ready(function ($) {
    // Recalculate total price after change print shipping method.
    jQuery(document).on('change', '.cp_shipping_method', function () {
        jQuery('#cp_shipping_service').val(jQuery(this).data('service'));

        var cpShippingData = [];

        jQuery('.shipping-block').each(function (el) {
            var items = [];
            jQuery(this).find('.cp_shipping_items').each(function (el) {
                items.push(jQuery(this).val())
            });

            var country = getShippingCountryCode();
            var postcode = getShippingPostcode();

            var checkedShipping = jQuery(this).find('input:checked');
            cpShippingData.push({
                quote: jQuery(checkedShipping).val(),
                items: items,
                price: jQuery(checkedShipping).data('price'),
                native_price: jQuery(checkedShipping).data('native-price'),
                service: jQuery(checkedShipping).data('service'),
                shipping_option: jQuery(checkedShipping).data('shipping_option'),
                country: country,
                postcode: postcode,
            });
        });

        jQuery.ajax({
            url: "?rest_route=/cloudprinter/v1/cart/save-print-shipping",
            method: 'POST',
            data: {
                'cp_shipping_data': cpShippingData,
                'security': cp.nonce
            },
            success: function () {
                jQuery( document.body ).trigger( 'wc_update_cart' );
                jQuery( document.body ).trigger( 'update_checkout' );
            }
        });
    });

    jQuery(document).on('change', '#billing_state', function () {
        jQuery( document.body ).trigger( 'wc_update_cart' );
        jQuery( document.body ).trigger( 'update_checkout' );
    })

    jQuery(document).on('change', '.cp_file_storage', function () {
        if (jQuery(this).val() == 'local') {
            jQuery(this).closest('.product-files').find('.local-storage').show();
            jQuery(this).closest('.product-files').find('.external-storage').hide();
        } else {
            jQuery(this).closest('.product-files').find('.local-storage').hide();
            jQuery(this).closest('.product-files').find('.external-storage').show();
        }
    });

    jQuery(document).on('click', '.cp-dynamic-remove-file', function () {
        var currentElement = jQuery(this).closest('.cp-file-element');
        showLoader();
        jQuery.ajax({
            url: "?rest_route=/cloudprinter/v1/dynamic-product/remove",
            method: 'POST',
            data: {
                'name': jQuery(currentElement).find('.cp-dynamic-uploaded-file-name').val(),
                'nonce': cp.nonce,
                'fileType': jQuery(this).data('file-type'),
                'itemId': jQuery(this).data('item-id')
            },
            success: function (response) {
                jQuery(currentElement).find('.cp-dynamic-uploaded-file-name').val('');
                jQuery(currentElement).find('.cp-dynamic-uploaded').hide();
                jQuery(currentElement).find('.cp-dynamic-file-not-uploaded').show();
                jQuery(currentElement).find('.cp-dynamic-file-name').text('');
                jQuery(currentElement).find('.input-file').val(null);

                hideLoader();
            }
        });
    });

    jQuery(document).on('click', '.cp-upload-file-for-product', function () {
        var formData = new FormData();
        var currentElement = jQuery(this).closest('.cp-file-element');
        var file = jQuery(currentElement).find('.input-file')[0].files[0];
        formData.append('file', file);
        formData.append('nonce', cp.nonce);
        formData.append('fileName', file.name);
        formData.append('fileType', jQuery(this).data('file-type'));
        formData.append('itemId', jQuery(this).data('item-id'));

        jQuery(currentElement).find('.cp-uploading-text').show();
        jQuery(currentElement).find('.wrap-selected-file-text').hide();
        jQuery(currentElement).find('.cp-upload-file-for-product').hide();

        $.ajax({
            url: '?rest_route=/cloudprinter/v1/dynamic-product/upload',
            type: 'post',
            data: formData,
            contentType: false,
            processData: false,
            cache      : false,
            responseType: 'json',
            xhr: function() {
                var xhr = new window.XMLHttpRequest();
                xhr.upload.addEventListener("progress", function(evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = parseInt((evt.loaded / evt.total) * 100);
                        if (percentComplete == 100) {
                            showLoader();
                            jQuery(currentElement).find('.cp-dynamic-file-not-uploaded').hide();
                            jQuery(currentElement).find('.file-selected').hide();
                            jQuery(currentElement).find('.cp-dynamic-file-name').text(file.name);
                            jQuery(currentElement).find('.cp-dynamic-uploaded').show();
                        }
                        jQuery(currentElement).find('.cp-upload-progress').text(percentComplete + '%');

                    }
                }, false);

                return xhr;
            },
            success: function(response){
                hideLoader();

                if (response.success === false ) {
                    alert('The uploading is not possible, please contact support');
                    jQuery(currentElement).find('.cp-dynamic-remove-file').click();
                }

                if(response != 0 && response.success === true){
                    jQuery(currentElement).find('.cp-dynamic-uploaded-file-name').val(response.name);
                }
                jQuery(currentElement).find('.cp-uploading-text').hide();
                jQuery(currentElement).find('.wrap-selected-file-text').show();
                jQuery(currentElement).find('.cp-upload-file-for-product').show();
            }
        });
    });

    jQuery(document).on('click', '.file-selected .cp-remove-selected-file', function () {
        var currentElement = jQuery(this).closest('.cp-file-element');
        jQuery(currentElement).find('.input-file').val(null);
        jQuery(currentElement).find('.file-selected').hide();
        jQuery(currentElement).find('.cp-dynamic-file-not-uploaded').show();
    });

    jQuery(document).on('change', '.input-file', function () {
        var file = jQuery(this)[0].files[0];

        if (file.size > maxFileSizeBytes) {
            jQuery(this).val(null);
            alert(maxFileSize);
            return false;
        }

        var currentElement = jQuery(this).closest('.cp-file-element');
        jQuery(currentElement).find('.cp-dynamic-file-not-uploaded').hide();
        jQuery(currentElement).find('.file-selected .selected-file-name').text(file.name);
        jQuery(currentElement).find('.file-selected').show();
        jQuery(currentElement).find('.cp-upload-file-for-product').click();
    });
});

function showLoader() {
    jQuery('form.checkout').addClass("processing").block({message:null,overlayCSS:{background:"#fff",opacity:.6}})
}

function hideLoader() {
    jQuery('form.checkout').removeClass("processing").unblock()
}

function getShippingPostcode()
{
    if (jQuery('#shipping_postcode').val()) {
        return jQuery('#shipping_postcode').val()
    }

    return jQuery('#billing_postcode').val()
}

function getShippingCountryCode()
{
    if (jQuery('#shipping_country').val()) {
        return jQuery('#shipping_country').val()
    }

    return jQuery('#billing_country').val()
}


