<?php

namespace CloudPrinterPlugin\Helpers;

/**
 * Class LogHelper
 *
 * @copyright   2019 by CloudPrinter
 * @author      Vasyl Kushniruk <vk@cloudprinter.com>
 */
class LogHelper
{
    public static function debug($folder, $message)
    {
        if (!CloudPrinterHelper::isPluginActive('woocommerce/woocommerce.php')) {
            return false;
        }

        // if logging is disabled in general settings.
        if (!get_option('cp_debug_log')) {
            return false;
        }

        $userId = get_current_user_id();
        if ($userId) {
            $message .= ' User id:' . $userId;
        }

        $txt = date('Y-m-d H:i:s') . ' | ' . PHP_EOL . $message . PHP_EOL . PHP_EOL;


        $logger = wc_get_logger();
        $logger->debug($txt, array('source' => 'cloudprinter-' . $folder));
    }

    public static function warning($type, $message)
    {
        if (!CloudPrinterHelper::isPluginActive('woocommerce/woocommerce.php')) {
            return false;
        }

        $userId = get_current_user_id();
        if ($userId) {
            $message .= ' User id:' . $userId;
        }

        $txt =   date('Y-m-d H:i:s') . ' | ' . PHP_EOL . $message . PHP_EOL . PHP_EOL;

        $logger = wc_get_logger();
        $logger->warning($txt, array('source' => 'cloudprinter-' . $type));
    }


}
