<?php


namespace CloudPrinterPlugin\Helpers;


class SerializeHelper
{
    public static function unserializeRecursive($val) {
        if(self::isSerialized($val)){
            $val = trim($val);
            $ret = unserialize($val);
            if (is_array($ret)) {
                foreach($ret as &$r) $r = self::unserializeRecursive($r);
            }
            return $ret;
        } elseif (is_array($val)) {
            foreach($val as &$r) $r = self::unserializeRecursive($r);
            return $val;
        } else { return $val; }
    }

    public static function isSerialized($val) {
        if (!is_string($val)) return false;
        if (trim($val) == "") return false;
        $val = trim($val);
        if (preg_match('/^(i|s|a|o|d):.*{/si', $val) > 0) return true;
        return false;
    }
}