<?php

namespace CloudPrinterPlugin\Services\Assets;

use CloudPrinterPlugin\Helpers\ConfigHelper;

/**
 * Class AssetsService
 *
 * @copyright 2020 by CloudPrinter
 * @author    Vasyl Kushniruk <vk@cloudprinter.com>
 */
class AssetsService
{
    private $pluginVersion;

    public function __construct()
    {
        $this->pluginVersion = ConfigHelper::getPluginVersion();
    }

    public function register()
    {
        add_action('admin_enqueue_scripts', [$this, 'registerAdminScripts']);
        add_action('wp_enqueue_scripts', [$this, 'registerFrontScripts']);

    }

    public function registerFrontScripts() {
        wp_enqueue_script('cart-shipping-method', CP_PLUGIN_URL . '/assets/js/checkout/cart-shipping-method.js', [ 'jquery' ], $this->pluginVersion);
        wp_enqueue_script('customer-identification', CP_PLUGIN_URL . '/assets/js/checkout/customer-identification.js', [ 'jquery' ], $this->pluginVersion);
    }

    public function registerAdminScripts()
    {
        // js
        wp_enqueue_script('genereate-dropbox-tmp-links', CP_PLUGIN_URL . '/assets/js/admin/genereate-dropbox-tmp-links.js', ['jquery'], $this->pluginVersion);
        wp_enqueue_script('order-reorder', CP_PLUGIN_URL . '/assets/js/admin/order-reorder.js', ['jquery'], $this->pluginVersion);
        wp_enqueue_script('order-post-again', CP_PLUGIN_URL . '/assets/js/admin/order-post-again.js', ['jquery'], $this->pluginVersion);
        wp_enqueue_script('general-settings', CP_PLUGIN_URL . '/assets/js/options/general-settings.js', ['jquery'], $this->pluginVersion);
        wp_enqueue_script('manual-file-upload', CP_PLUGIN_URL . '/assets/js/admin/manual-file-upload.js', ['jquery'], $this->pluginVersion);

        //css
        wp_enqueue_style('order-reorder-css', CP_PLUGIN_URL . '/assets/css/admin/order-reorder.css', [], $this->pluginVersion);
        wp_enqueue_style('general', CP_PLUGIN_URL . '/assets/css/admin/general.css', [], $this->pluginVersion);
    }
}
