<?php


namespace CloudPrinterPlugin\Services;


class ShippingService
{
    public function calculateTax($price)
    {
        $shipping_tax_class = get_option( 'woocommerce_shipping_tax_class' );

        if ( 'inherit' === $shipping_tax_class ) {
            return 0;
        }

        if (wc_prices_include_tax()) {
            return array_sum(\WC_Tax::calc_inclusive_tax($price, \WC_Tax::get_shipping_tax_rates()));
        } else {
            return array_sum(\WC_Tax::calc_shipping_tax($price, \WC_Tax::get_shipping_tax_rates()));
        }
    }
}