<?php

namespace CloudPrinterPlugin\Services\Storage;

/**
 * Interface StorageInterface
 *
 * @copyright 2020 by CloudPrinter
 * @author    Vasyl Kushniruk <vk@cloudprinter.com>
 */
interface StorageInterface
{
    /**
     * @param $file $_FILES[0]
     * @return string File name
     */
    public function uploadFileToTemporaryFolder($file);

    /**
     * @param $file $_FILES[0]
     * @return string File name
     */
    public function uploadFileToOrderedFolder($file);

    /**
     * @param $filesNames array
     * @return bool
     */
    public function moveFilesFromTmpFolderToOrdered($filesNames);

    /**
     * @param $fileName
     * @return string
     */
    public function getSharedLink($fileName);

    /**
     * @param $fileName
     * @return mixed
     */
    public function removeFileFromTemporaryFolder($fileName);

    /**
     * @param $filesNames array
     * @return mixed
     */
    public function removeFilesFromOrderedFolder($filesNames);
}
